<template>
	<div>
        <v-container>
            <v-layout wrap>
                <v-flex v-for="blog in blogs" v-bind:key="blog.id">
                    <v-card v-bind:to="{name:'blog',params:{'blogId':blog.id}}">
                        <v-img v-bind:src="blog.image" class="white-text">
                            <v-card-title class="fill-height align-end" v-text="blog.title">                                
                            </v-card-title>    
                        </v-img>
                    </v-card>                    
                </v-flex>
                <v-fab-transition>
                    <v-btn                                    
                        color="primary"
                        dark
                        absolute
                        bottom
                        right
                        fab
                        v-on:click.prevent="$router.push({name:'blog.create'})"
                    >
                        <v-icon>mdi-plus</v-icon>
                    </v-btn>
                </v-fab-transition>
            </v-layout>
            <alert/>
        </v-container>
    </div>    
</template>

<script>
import {mapActions} from 'vuex'
import alert from '../../components/Alert.vue'

export default {

    components:{
        alert
    },
	data:function(){
		return{
            title:'Data Blog',
            blogs:[]
        }
    },
    methods:{
        async getBlogs(){
            try{
                let response = await axios.get(`api/blog`)
                if(response.status==200){
                    let {data} = response.data
                    this.blogs = data
                }
            }catch(e){
                console.log(e)
                let {message} = e.response.data
                this.alert({
                    title:'error',
                    message:message
                })
            }
        },
        ...mapActions({
            alert:'alert/show'
        })           
    }
    ,mounted:function(){
        
        console.log('All blogs')
        this.getBlogs()
        
	}

}
</script>

<style>

</style>